a {
    text-decoration: none;
}

.navBar {
    position: fixed;
    width: 100%;
    height: 90px;
    top: 0;
    left: 0;
    z-index: 1000;
    font-family: "Ubuntu", sans-serif;
    font-weight: 500;
    font-style: normal;
    background-color: rgba(0, 0, 0, 0.084);
    backdrop-filter: blur(50px);
    border-bottom: 2px solid rgba(0, 0, 0, 0.309);
}

.navBar-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
}

.logo img {
    height: 45px;
}

.menu-icon {
    display: none;
    font-size: 1.5rem;
    cursor: pointer;
}

.navMenu {
    display: flex;
    align-items: center;
   
    list-style: none;
}

.navLink {
    position: relative;
    color: #fff;
    text-decoration: none;
    padding: 0.5rem 0;
    margin: 0 1.5vw;
    transition: color 0.3s ease;
    overflow: hidden;

    &:hover {
        color: #00f2ff;
    }
}

.navLink::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background-color: #00f2ff;
    transition: 0.3s;
}

.navLink:hover::before {
    width: 100%;
}

.subMenu {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: 100%;
    left: 0;
    width: max-content;
    z-index: 1001;
    padding: 0;
    transition: all 0.5s ease;
    transform: translateY(30px);
}

.transparent {
    height: 33px;
    width: 100%;
    background-color: transparent;
}

@media (max-width: 768px) {
    .services-item {
        transition: transform 0.5s ease;
    }

    .Service:hover + .services-item {
        margin-top: 320px;
    }

    .Service:hover .subMenu {
        visibility: visible;
        opacity: 1;
        transform: translateX(-30px);
    }

    .subMenu {
        height: 0px !important;
        transform: none;
    }
    .transparent {
        display: none;
    }
}

.Service:hover .subMenu {
    visibility: visible;
    opacity: 1;
    height: auto;
    transform: translateY(0);
}

.subMenu li {
    width: 100%;
    text-align: left;
    padding: 0.4rem 2rem 0.4rem 1rem;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 0.9rem;
    font-weight: 500;
    transition: 0.4s;
    background-color: #000304;
}

.subMenu li a {
    color: #cac5c5;
    transition: color 0.3s ease;
    min-width: 100%;

    &:hover {
        color: #0bc3fb;
    }
}

.subMenu li a::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    transform: translateY(5px);
    height: 1.5px;
    background-color: #0bc3fb;
    transition: 0.3s;
}

.subMenu li:hover a::before {
    width: 100%;
}

.services-item {
    position: relative;
}

.servicesDropdown {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 99999;
    display: block;
}

.services-dropdown {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1001;
}

.services-dropdown.active {
    display: block;
}

.services-dropdown-container {
    display: flex;
    max-width: 84%;
    margin-right: auto;
    background: #022530;
    padding: 1rem 2rem;
}

.services-list {
    flex: 1;
    padding-right: 2rem;
}

.service-category {
    display: block;
    width: 100%;
    text-align: left;
    padding: 0.5rem 0;
    background: none;
    border: none;
    border-top: 0.5px solid #047ea353;
    border-bottom: 0.5px solid #047ea34e;
    margin: 5px 0;
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: 500;
    color: #0bc3fb;
    transition: 0.5s;
}

.service-category:hover,
.service-category.active {
    background-color: #0bc3fb;
    color: #fff;
    padding-left: 1rem;
}

.service-details {
    flex: 2;
}

.service-content {
    display: none;
}

.service-content img {
    height: 100px;
}

.service-content.active {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    height: 100%;
    width: auto;
    transition: 0.5s;
}

.service-content h3 {
    margin-bottom: 0.5rem;
}

.service-content ul {
    list-style-type: disc;
    padding-left: 1.5rem;
}

.get-in-touch {
    text-decoration: none;
    background: linear-gradient(90deg, #047da3, #0bc3fb);
    color: #ffffff;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    font-family: "SUSE", system-ui;
    font-weight: 700;
    font-style: normal;
    position: relative;
    overflow: hidden;
    margin-right: 2vw;
}

.get-in-touch::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    width: 200%;
    height: 100%;
    background: linear-gradient(
        90deg,
        transparent,
        rgba(255, 255, 255, 0.2),
        transparent
    );
    transition: left 0.5s ease;
}

.get-in-touch:hover::before {
    left: 100%;
}

@media screen and (max-width: 995px) {
    .navMenu {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .menu-icon {
        display: block;
    }

    .navMenu {
        display: none;
        flex-direction: column;
        position: absolute;
        gap: 15px;
        padding: 25px 0;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #000305;
        backdrop-filter: blur(50px);
        border-bottom: 2px solid rgba(0, 0, 0, 0.309);
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);

    }

    .navMenu.active {
        display: flex;
    }

    .navLink {
        padding: 1rem;
    }

    .services-dropdown {
        position: static;
        box-shadow: none;
    }

    .services-dropdown-container {
        flex-direction: column;
    }

    .services-list,
    .service-details {
        width: 100%;
    }

    button {
        display: none;
    }
}
